Bug 1475779 - quota: directories doesn't get heal on newly added bricks when quota is full on sub-directory [NEEDINFO]
Summary: quota: directories doesn't get heal on newly added bricks when quota is full ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota
Version: rhgs-3.3
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Sanoj Unnikrishnan
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On: 1505355
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-07-27 10:38 UTC by Anil Shah
Modified: 2018-09-26 09:43 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-8
Doc Type: Bug Fix
Doc Text:
Previously, a directory failed to get healed post an add brick operation if the directory's quota had already exceeded hard limit prior to add-brick. As a result, the directory structure remained incomplete on the newly added brick. With this fix, the directory heal is allowed to happen irrespective of quota limit resulting.
Clone Of:
: 1505355 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:34:19 UTC
srmukher: needinfo? (sunnikri)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:36:23 UTC

Description Anil Shah 2017-07-27 10:38:59 UTC
Description of problem:

When ever quota is full on sub-directory , adding new bricks on volume, 
quota doesn't allow new directory to be created on new added bricks.

Version-Release number of selected component (if applicable):

glusterfs-3.8.4-35.el7rhgs.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Create 2*2 dist-rep volume
2. Do fuse mount
3. Enable quota and set limit on sub-directory
4. Create data on sub-directory so that so quota is hit
5. add-brick on volume
6. do lookup on  client mount 


Actual results:

[root@dhcp46-239 fuse]# ll
ls: cannot access newnfs: No such file or directory
total 4
drwxr-xr-x. 2 root root 4096 Jul 24 16:21 newfuse
d?????????? ? ?    ?       ?            ? newnfs


Expected results:

lookup  on client should be successful

Additional info:

Comment 4 Sanoj Unnikrishnan 2017-10-24 06:44:42 UTC
upstream Patch for review 
https://review.gluster.org/#/c/18554/

Comment 8 Vinayak Papnoi 2018-05-03 09:08:53 UTC
Followed the steps in the description. After a complete add-brick and rebalance, the lookup from client mount was successful.

Hence, moving bug to Verified.

Comment 9 Vinayak Papnoi 2018-05-03 09:09:32 UTC
Build used to verify : glusterfs-3.12.2-8.el7rhgs.x86_64

Comment 10 Srijita Mukherjee 2018-09-03 14:55:10 UTC
updated the doc text. Kindly review and confirm

Comment 11 errata-xmlrpc 2018-09-04 06:34:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.